Bug 245326 - Bad SONAME Provides
Summary: Bad SONAME Provides
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dbmail   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bernard Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-22 14:30 UTC by Michael Schwendt
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 2.2.5-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-05 19:15:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2007-06-22 14:30:23 UTC
dbmail provides libsqlite.so.0
sqlite2 provides libsqlite.so.0

Indeed. dbmail includes a private plugin which conflicts with
sqlite2's public shared lib.

$ rpmls -p dbmail-2.2.5-3.fc7.i386.rpm | grep sqli
lrwxrwxrwx  /usr/lib/dbmail/libsqlite.so
lrwxrwxrwx  /usr/lib/dbmail/libsqlite.so.0
-rwxr-xr-x  /usr/lib/dbmail/libsqlite.so.0.0.0
-rw-r--r--  /usr/share/doc/dbmail-2.2.5/2_1_7-2_2_0.sqlite
-rw-r--r--  /usr/share/doc/dbmail-2.2.5/create_tables.sqlite

You need to filter the "Provides" appropriately.

Comment 1 Fedora Update System 2007-06-25 23:22:09 UTC
dbmail-2.2.5-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 2 Fedora Update System 2007-07-05 19:15:25 UTC
dbmail-2.2.5-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.